- allows to compile awesome with xcb-util >= 0.3.3
authorpawelz <pawelz@pld-linux.org>
Tue, 24 Feb 2009 18:13:44 +0000 (18:13 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    awesome-xcb.patch -> 1.1

awesome-xcb.patch [new file with mode: 0644]

diff --git a/awesome-xcb.patch b/awesome-xcb.patch
new file mode 100644 (file)
index 0000000..261e7c7
--- /dev/null
@@ -0,0 +1,20 @@
+--- awesome-3.1.2/client.c~    2009-02-05 15:39:52.000000000 +0100
++++ awesome-3.1.2/client.c     2009-02-24 19:02:04.000000000 +0100
+@@ -1455,7 +1455,7 @@
+                                    xcb_get_wm_class_unchecked(globalconf.connection, (*c)->win),
+                                    &hint, NULL))
+              return 0;
+-        lua_pushstring(L, hint.class);
++        lua_pushstring(L, hint.class_name);
+         xcb_get_wm_class_reply_wipe(&hint);
+         break;
+       case A_TK_INSTANCE:
+@@ -1463,7 +1463,7 @@
+                                    xcb_get_wm_class_unchecked(globalconf.connection, (*c)->win),
+                                    &hint, NULL))
+             return 0;
+-        lua_pushstring(L, hint.name);
++        lua_pushstring(L, hint.instance_name);
+         xcb_get_wm_class_reply_wipe(&hint);
+         break;
+       case A_TK_ROLE:
This page took 0.049284 seconds and 4 git commands to generate.